/*
     Copyright (C) 2006  Georges Da Costa

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include <time.h>

void init_captor(void);
void init_battery(char *name);
void init_temperature(char *cpu_name);
void init_cpufreq(char *cpufreq);
void init_ac(char *adapter);

int get_temperature(void);
int get_load(void);
int get_pcm(void);
int get_vol(void);
struct tm *get_time(void);
unsigned long int get_download(void);
unsigned long int get_upload(void);
int get_ac(void);
int get_battery(void);
int get_rate_battery(void);
//int get_ram(void);
int get_cpufreq(void);

void maj_captors(void*);

void set_pcm(int);
void set_vol(int);
void set_cpufreq(int);



unsigned int get_nb_interfaces(void);
char *get_interface(void);
void set_interface(unsigned int);
